<TeXmacs|1.0.7.20>

<style|<tuple|beamer|vdh|mathemagix>>

<\body>
  <screens|<\shown>
    <\with|par-mode|center>
      <space|0cm|0cm|2.5fn><strong|<with|font-base-size|17|Machine
      computations with transseries>>
    </with>

    <\with|par-mode|center>
      <tabular*|<tformat|<cwith|1|1|2|2|cell-valign|c>|<table|<row|<cell|
      >|<cell|>|<cell|>>|<row|<cell|>|<cell|<with|font-series|bold|Joris van
      der Hoeven, CNRS>>|<cell|>>|<row|<cell|>|<cell|>|<cell|>>|<row|<cell|>|<cell|<img|<image|texmacs-chip.ps|0.6w|0.6h||>>>|<cell|>>|<row|<cell|>|<cell|>|<cell|>>|<row|<cell|>|<cell|<with|font-series|bold|Fields
      institute at Toronto, 2009>>|<cell|>>|<row|<cell|>|<cell|>|<cell|>>|<row|<cell|>|<cell|<verbatim|http://www.<TeXmacs*>.org>>|<cell|>>>>>
    </with>

    \;
  </shown>|<\hidden>
    <tit|Challenges>

    <unroll|<\shown>
      <\folded>
        <strong|Asymptotic behaviour for <blink|<math|x\<rightarrow\>\<infty\>>>>
      <|folded>
        <\equation*>
          f=log log <left|(>x*\<mathe\><rsup|x*\<mathe\><rsup|x>>+1<right|)>-exp
          exp <left|(>log log x+<frac|1|x><right|)>
        </equation*>
      </folded>
    </shown>|<\hidden*>
      <\folded>
        <strong|Asymptotic resolution of differential equations>
      <|folded>
        <\equation*>
          (log x)*f<rsup|2>-f<rprime|'>+f+\<mathe\><rsup|\<um\>x>=0
        </equation*>
      </folded>
    </hidden*>|<\hidden*>
      <switch|<\shown>
        <\folded>
          <strong|Asymptotic resolution of functional equations>
        <|folded>
          <\equation*>
            f=<frac|1|x>+f<rprime|'>(x<rsup|2>)+f(\<mathe\><rsup|log<rsup|2>
            x>)
          </equation*>
        </folded>
      </shown>>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Examples>

    \;

    <\equation*>
      <granite|x\<rightarrow\>\<infty\>>
    </equation*>

    <\eqnarray*>
      <tformat|<cwith|2|2|1|3|cell-bsep|0.2em>|<cwith|2|2|1|3|cell-tsep|0.2em>|<cwith|3|3|1|3|cell-bsep|0.2em>|<cwith|3|3|1|3|cell-tsep|0.2em>|<cwith|4|4|1|3|cell-bsep|0.2em>|<cwith|4|4|1|3|cell-tsep|0.2em>|<cwith|4|4|1|3|cell-bsep|0.2em>|<cwith|4|4|1|3|cell-tsep|0.2em>|<cwith|5|5|1|3|cell-bsep|0.2em>|<cwith|5|5|1|3|cell-tsep|0.2em>|<cwith|7|7|1|3|cell-bsep|0.2em>|<cwith|7|7|1|3|cell-tsep|0.2em>|<cwith|6|6|1|3|cell-bsep|0.2em>|<cwith|6|6|1|3|cell-tsep|0.2em>|<table|<row|<cell|<with|math-display|false|<frac|1|1-x<rsup|\<um\>1>-x<rsup|\<um\>\<mathe\>>>>>|<cell|=>|<cell|<anim-progressive|1+x<rsup|\<um\>1>+x<rsup|\<um\>2>+x<rsup|\<um\>\<mathe\>>+x<rsup|\<um\>3>+x<rsup|\<um\>\<mathe\>-1>+\<cdots\>|2sec|<tuple|0.0|0.0|0.0|1.0>|>>>|<row|<cell|<with|math-display|false|<frac|1|1-x<rsup|\<um\>1>+\<mathe\><rsup|\<um\>x>>>>|<cell|=>|<cell|<anim-progressive|<with|math-display|false|1+<frac|1|x>+<frac|1|x<rsup|2>>+\<cdots\>+\<mathe\><rsup|\<um\>x>+2*<frac|\<mathe\><rsup|\<um\>x>|x>+\<cdots\>+\<mathe\><rsup|\<um\>2*x>+\<cdots\>>|2sec|<tuple|0.0|0.0|0.0|1.0>|>>>|<row|<cell|<with|math-display|false|\<um\>\<mathe\><rsup|x>*<value|I>
      <frac|\<mathe\><rsup|\<um\>x>|x>>>|<cell|=>|<cell|<anim-progressive|<with|math-display|false|<frac|1|x>-<frac|1|x<rsup|2>>+<frac|2|x<rsup|3>>-<frac|6|x<rsup|4>>+<frac|24|x<rsup|5>>-<frac|120|x<rsup|6>>+\<cdots\>>|2sec|<tuple|0.0|0.0|0.0|1.0>|>>>|<row|<cell|\<Gamma\>(x)>|<cell|=>|<cell|<anim-progressive|<with|math-display|false|<frac|<sqrt|2*\<mathpi\>>*\<mathe\><rsup|x*(log
      x-1)>|x<rsup|1/2>>+<frac|<sqrt|2*\<mathpi\>>*\<mathe\><rsup|x*(log
      x-1)>|12*x<rsup|3/2>>+<frac|<sqrt|2*\<mathpi\>>*\<mathe\><rsup|x*(log
      x-1)>|288*x<rsup|5/2>>+\<cdots\>>|2sec|<tuple|0.0|0.0|0.0|1.0>|>>>|<row|<cell|<with|color|blue|\<zeta\>(x)>>|<cell|<with|color|blue|=>>|<cell|<anim-progressive|<with|color|blue|1+2<rsup|\<um\>x>+3<rsup|\<um\>x>+4<rsup|\<um\>x>+\<cdots\>>|2sec|<tuple|0.0|0.0|0.0|1.0>|>>>|<row|<cell|<with|color|blue|\<varphi\>(x)>>|<cell|<with|color|blue|=>>|<cell|<anim-progressive|<with|math-display|false|<with|color|blue|<frac|1|x>+\<varphi\>(x<rsup|\<pi\>>)=<frac|1|x>+<frac|1|x<rsup|\<pi\>>>+<frac|1|x<rsup|\<pi\><rsup|2>>>+<frac|1|x<rsup|\<pi\><rsup|3>>>+\<cdots\>>>|2sec|<tuple|0.0|0.0|0.0|1.0>|>>>|<row|<cell|<with|color|blue|\<psi\>(x)>>|<cell|<with|color|blue|=>>|<cell|<anim-progressive|<with|math-display|false|<with|color|blue|<frac|1|x>+\<psi\>(\<mathe\><rsup|log<rsup|2>
      x>)=<frac|1|x>+<frac|1|\<mathe\><rsup|log<rsup|2>
      x>>+<frac|1|\<mathe\><rsup|log<rsup|4>
      x>>+<frac|1|\<mathe\><rsup|log<rsup|8>
      x>>+\<cdots\>>>|2sec|<tuple|0.0|0.0|0.0|1.0>|>>>>>
    </eqnarray*>
  </hidden>|<\hidden>
    <tit|Incomplete transbasis theorem>

    <unroll|<\shown>
      <\folded>
        <strong|Field of grid-based transseries>
      <|folded>
        <\itemize>
          <item><math|\<bbb-T\>=\<bbb-R\><gb|\<frak-T\>>>, where
          transmonomial group <math|\<frak-T\>> ordered by
          <math|<op|\<preccurlyeq\>>>.

          <item>Given <math|\<frak-m\>\<in\>\<frak-T\>>, we have either
          <math|\<frak-m\>=log<rsub|k> x> or <math|\<frak-m\>\<in\>exp
          \<bbb-R\><gb|\<frak-T\>><rsub|\<succ\>>>

          <\equation*>
            \<mathe\><rsup|x>+x<rsup|\<um\>1>*\<mathe\><rsup|x>+x<rsup|\<um\>2>*\<mathe\><rsup|x>+\<cdots\>+x<rsup|2>+x<greyed|+1+x<rsup|\<um\>1>+\<mathe\><rsup|\<um\>x>+\<mathe\><rsup|-2*x>+\<cdots\>>
          </equation*>
        </itemize>
      </folded>
    </shown>|<\hidden*>
      <\folded>
        <strong|Transbasis <math|\<frak-B\>> for grid-based series>
      <|folded>
        <\description>
          <item*| TB0><math|\<frak-B\>=(\<frak-b\><rsub|1>,\<ldots\>,\<frak-b\><rsub|n>)>
          with <math|1\<prec\>\<frak-b\><rsub|1>\<prec\>\<cdots\>\<prec\>\<frak-b\><rsub|n>>.

          <item*| TB1><math|\<frak-b\><rsub|1>=log<rsub|k> z> for some
          <math|k\<in\>\<bbb-Z\>>.

          <item*| TB2><math|log \<frak-b\><rsub|i>\<in\>\<bbb-R\><gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|i-1>>=\<bbb-R\><gb|\<frak-b\><rsub|1><rsup|\<bbb-R\>>*\<cdots\>*\<frak-b\><rsub|i-1><rsup|\<bbb-R\>>>>
          for <math|i\<gtr\>1>.
        </description>
      </folded>
    </hidden*>|<\hidden*>
      <switch|<\shown>
        <\folded>
          <strong|Examples>
        <|folded>
          <\itemize>
            <item><math|\<frak-B\>=(log x,x,x<rsup|x>,\<mathe\><rsup|x<rsup|2>/(1-x<rsup|\<um\>1>)>)>

            <item><math|\<frak-B\>\<neq\>(log log x,log
            x,x,\<mathe\><rsup|x+<with|color|dark
            green|\<mathe\><rsup|-x<rsup|2>>>>,\<mathe\><rsup|x<rsup|2>>)>
          </itemize>
        </folded>
      </shown>|<\hidden>
        <\granite>
          <\theorem*>
            Given a transbasis <math|\<frak-B\><rsub|0>> and
            <math|f\<in\>\<bbb-T\>>, there exists a transbasis
            <math|\<frak-B\>=(\<frak-b\><rsub|1>,\<ldots\>,\<frak-b\><rsub|n>)>
            which extends <math|\<frak-B\><rsub|0>> and such that
            <math|f\<in\>\<bbb-R\><gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>>.
          </theorem*>
        </granite>
      </hidden>>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Exact computations with transseries>

    <unroll|<\shown>
      <\folded>
        <strong|Problem with infinite cancellations>
      <|folded>
        <\eqnarray*>
          <tformat|<table|<row|<cell|<frac|1|1-<frac|1|x>>*<frac|1|1-<frac|1|\<mathe\><rsup|x>>>-<frac|1|1-<frac|1|x>>>|<cell|=>|<cell|<greyed|<phantom|\<upl\>>1+<frac|1|x>+<frac|1|x<rsup|2>>+\<cdots\>>+<frac|1|\<mathe\><rsup|x>>+<frac|1|x*\<mathe\><rsup|x>>+\<cdots\>+<frac|1|\<mathe\><rsup|2*x>>+\<cdots\>>>|<row|<cell|>|<cell|>|<cell|<greyed|\<um\>1-<frac|1|x>-<frac|1|x<rsup|2>>+\<cdots\>>>>>>
        </eqnarray*>
      </folded>
    </shown>|<\hidden*>
      <\folded>
        <strong|vdH/Richardson/Salvy/Shackell/96>
      <|folded>
        <\itemize>
          <item><strong|Setting:> <math|\<cal-E\>> class of <greyed|exp-log>
          expressions in <math|x>, assume zero-test.

          <item><strong|Problem:> find an asymptotic expansion of
          <math|f\<in\>\<cal-E\>>.

          <item><strong|Algorithm:>

          <\itemize>
            <item>Induction on subformulas <math|g> of <math|f>

            <item>Progressive computation of \ transbasis <math|\<frak-B\>>
            for <math|g>

            <item>Ensure that <math|[\<frak-b\><rsub|n><rsup|\<alpha\><rsub|n>>*\<cdots\>*\<frak-b\><rsub|k><rsup|\<alpha\><rsub|k>>]
            g\<in\>\<cal-E\>>
          </itemize>
        </itemize>
      </folded>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Example>

    \;

    <\equation*>
      <pine|<anim-translate|<with|color|black|f=log(\<mathe\><rsup|\<um\>x>+x+1)-log(x+1)>|1sec|<tuple|0.0|-1.0>|>>
    </equation*>

    <\eqnarray*>
      <tformat|<table|<row|<cell|<with|color|blue|\<frak-B\>>>|<cell|<with|color|blue|\<assign\>>>|<cell|<with|color|blue|{x}>>>|<row|<cell|x>|<cell|=>|<cell|x>>|<row|<cell|\<um\>x>|<cell|=>|<cell|\<um\>x>>|<row|<cell|\<mathe\><rsup|\<um\>x>>|<cell|=>|<cell|<with|color|blue|\<cdots\>>>>|<row|<cell|<with|color|blue|\<frak-B\>>>|<cell|<with|color|blue|\<assign\>>>|<cell|<with|color|blue|{x,\<mathe\><rsup|x>}>>>|<row|<cell|<with|color|blue|\<cdots\>>>|<cell|=>|<cell|\<mathe\><rsup|\<um\>x>>>|<row|<cell|\<mathe\><rsup|\<um\>x>+x+1>|<cell|=>|<cell|\<mathe\><rsup|\<um\>x>+x+1=[x+1]+[\<mathe\><rsup|\<um\>x>]>>|<row|<cell|log(\<mathe\><rsup|\<um\>x>+x+1)>|<cell|=>|<cell|log
      (x*(<with|math-display|false|<frac|\<mathe\><rsup|\<um\>x>+x+1|x>>))=<with|color|blue|\<cdots\>>>>|<row|<cell|<with|color|blue|\<frak-B\>>>|<cell|<with|color|blue|\<assign\>>>|<cell|<with|color|blue|{log
      x,x,\<mathe\><rsup|x>}>>>|<row|<cell|<with|color|blue|\<cdots\>>>|<cell|=>|<cell|log
      x+log(<with|math-display|false|<frac|\<mathe\><rsup|\<um\>x>+x+1|x>>)>>|<row|<cell|log(x+1)>|<cell|\<rightsquigarrow\>>|<cell|log
      x+log(<with|math-display|false|<frac|x+1|x>>)>>|<row|<cell|f>|<cell|=>|<cell|log
      x+log(<with|math-display|false|<frac|\<mathe\><rsup|\<um\>x>+x+1|x>>)-(log
      x+log(<with|math-display|false|<frac|x+1|x>>))>>|<row|<cell|>|<cell|=>|<cell|<greyed|[log
      x+log(<with|math-display|false|<frac|x+1|x>>)-(log
      x+log(<with|math-display|false|<frac|x+1|x>>))]>+>>|<row|<cell|>|<cell|>|<cell|[<with|math-display|false|<frac|1|x+1>>*\<mathe\><rsup|\<um\>x>]-[<with|math-display|false|<frac|1|2*(x+1)<rsup|2>>>*\<mathe\><rsup|\<um\>2*x>]+\<cdots\>>>>>
    </eqnarray*>
  </hidden>|<\hidden>
    <tit|Local communities>

    \;

    <strong|Cartesian representation >of <math|f\<in\>\<bbb-R\><gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>>
    (not unique)

    <\eqnarray*>
      <tformat|<table|<row|<cell|f>|<cell|=>|<cell|<wide|f|\<check\>>(\<frak-m\><rsub|1>,\<ldots\>,\<frak-m\><rsub|k>)>>|<row|<cell|<wide|f|\<check\>>>|<cell|\<in\>>|<cell|\<bbb-R\>[[z<rsub|1>,\<ldots\>,z<rsub|k>]]*z<rsub|1><rsup|\<bbb-Z\>>*\<cdots\>*z<rsub|k><rsup|\<bbb-Z\>>>>|<row|<cell|\<frak-m\><rsub|i>>|<cell|\<in\>>|<cell|(\<frak-b\><rsub|1><rsup|\<bbb-R\>>*\<cdots\>*\<frak-b\><rsub|n><rsup|\<bbb-R\>>)<rsup|\<prec\>>>>>>
    </eqnarray*>

    <strong|Cartesian algebra:> family of subalgebras
    <math|L<rsub|k>\<subseteq\>\<bbb-R\>[[z<rsub|1>,\<ldots\>,z<rsub|k>]]>
    with

    <\enumerate>
      <item> <math|z<rsub|1>,\<ldots\>,z<rsub|k>\<in\>L<rsub|k>>.

      <item> <math|L<rsub|k>> stable under division by <math|z<rsub|1>> when
      defined.

      <item> <math|L<rsub|k>> stable under substitution when defined.
    </enumerate>

    Example: smallest Cartesian algebra <math|L<rsup|el>> which contains
    <math|\<mathe\><rsup|z<rsub|1>>> and <math|log(1+z<rsub|1>)>.<vspace|1fn>

    <strong|Local community:>

    <\itemize>
      <item>Cartesian algebra with implicit function theorem.

      <item>Power series analogue of o-minimal structure.
    </itemize>
  </hidden>|<\hidden>
    <tit|Zero-tests>

    <unroll|<\shown>
      <\folded>
        <strong|A naive algorithm (Shackell/91, Pladan-Germa/vdH/96)>
      <|folded>
        <\itemize>
          <item>Let <math|R<rsub|g>=\<bbb-R\>[g<rsub|1>,\<ldots\>,g<rsub|d>]>
          stable under <math|\<partial\><rsub|z<rsub|1>>,\<ldots\>,\<partial\><rsub|z<rsub|k>>>,
          with <math|g<rsub|1>,\<ldots\>,g<rsub|d>\<in\>E<rsup|el><rsub|k>>.

          <item>Example: <math|R<rsub|g>=\<bbb-R\>[z<rsub|1>,z<rsub|2>,\<mathe\><rsup|z<rsub|1>>,log(1+z<rsub|2>*\<mathe\><rsup|z<rsub|1>>),(1+z<rsub|2>*\<mathe\><rsup|z<rsub|1>>)<rsup|\<um\>1>]>.

          <item>Any <math|f\<in\>E<rsup|el>> is in <math|R<rsub|g>> for
          suitable subexpressions <math|g<rsub|1>,\<ldots\>,g<rsub|d>>.
        </itemize>

        <indent|<strong|Algorithm for testing <math|f=0>:>>

        <\enumerate>
          <item> Let <math|G\<assign\>{f}>

          <item> If <math|\<varphi\>(0)\<neq\>0> for some
          <math|\<varphi\>\<in\>G>, then return false

          <item> Let <math|G<rprime|'>\<assign\>RedGB(G\<cup\>\<partial\><rsub|z<rsub|1>>
          G\<cup\>\<cdots\>\<cup\>\<partial\><rsub|z<rsub|k>> G)>

          <item> If <math|G<rprime|'>=G> then return true, else go to step 2
        </enumerate>
      </folded>
    </shown>|<\hidden*>
      <\folded>
        <strong|Zero-tests for constants>
      <|folded>
        <\itemize>
          <unroll|<\shown>
            <item><strong|Richardson/97.> <math|\<rightsquigarrow\>>
            Schanuel's conjecture
          </shown>|<\hidden*>
            <item>Become a number theorist?
          </hidden*>|<\hidden*>
            <item>Become a model theorist?
          </hidden*>|<\hidden*>
            <item>Ignore the problem?
          </hidden*>>
        </itemize>
      </folded>
    </hidden*>>
  </hidden>>
</body>

<\initial>
  <\collection>
    <associate|info-flag|none>
    <associate|page-bot|5mm>
    <associate|page-even|5mm>
    <associate|page-odd|5mm>
    <associate|page-right|5mm>
    <associate|page-screen-bot|5mm>
    <associate|page-screen-top|5mm>
    <associate|page-show-hf|true>
    <associate|page-top|5mm>
    <associate|preamble|false>
    <associate|sfactor|4>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|auto-1|<tuple|1|?>>
    <associate|auto-10|<tuple|10|?>>
    <associate|auto-11|<tuple|11|?>>
    <associate|auto-12|<tuple|12|?>>
    <associate|auto-13|<tuple|13|?>>
    <associate|auto-2|<tuple|2|?>>
    <associate|auto-3|<tuple|3|?>>
    <associate|auto-4|<tuple|4|?>>
    <associate|auto-5|<tuple|5|?>>
    <associate|auto-6|<tuple|6|?>>
    <associate|auto-7|<tuple|7|?>>
    <associate|auto-8|<tuple|8|?>>
    <associate|auto-9|<tuple|9|?>>
    <associate|bib-Schm01|<tuple|CT|?>>
    <associate|bib-vdH:cexconj|<tuple|5|?>>
    <associate|bib-vdH:dagap|<tuple|3|?>>
    <associate|bib-vdH:effan|<tuple|1|?>>
    <associate|bib-vdH:effreal|<tuple|6|?>>
    <associate|bib-vdH:fnewton|<tuple|19|?>>
    <associate|bib-vdH:galois|<tuple|14|?>>
    <associate|bib-vdH:hfsol|<tuple|4|?>>
    <associate|bib-vdH:hol|<tuple|11|?>>
    <associate|bib-vdH:issac02|<tuple|4|?>>
    <associate|bib-vdH:issac03|<tuple|17|?>>
    <associate|bib-vdH:issac06|<tuple|7|?>>
    <associate|bib-vdH:issac97|<tuple|15|?>>
    <associate|bib-vdH:ivt2|<tuple|2|?>>
    <associate|bib-vdH:ln|<tuple|LN|?>>
    <associate|bib-vdH:maj|<tuple|9|?>>
    <associate|bib-vdH:newrelax|<tuple|18|?>>
    <associate|bib-vdH:noeth|<tuple|1|?>>
    <associate|bib-vdH:oldzt|<tuple|10|?>>
    <associate|bib-vdH:osc|<tuple|5|?>>
    <associate|bib-vdH:relax|<tuple|16|?>>
    <associate|bib-vdH:reshol|<tuple|13|?>>
    <associate|bib-vdH:riemann|<tuple|2|?>>
    <associate|bib-vdH:singhol|<tuple|12|?>>
    <associate|bib-vdH:witness|<tuple|8|?>>
    <associate|bib-vdH:zerotest|<tuple|3|?>>
    <associate|cross-rel|<tuple|1|?>>
    <associate|eq-fonc|<tuple|1|15>>
    <associate|mv-th|<tuple|<with|mode|<quote|math>|\<bullet\>>|?>>
    <associate|toc-1|<tuple|<uninit>|2>>
    <associate|toc-10|<tuple|2|5>>
    <associate|toc-11|<tuple|2|5>>
    <associate|toc-12|<tuple|2|5>>
    <associate|toc-13|<tuple|2|5>>
    <associate|toc-14|<tuple|2|6>>
    <associate|toc-15|<tuple|2|6>>
    <associate|toc-16|<tuple|2|6>>
    <associate|toc-17|<tuple|2|7>>
    <associate|toc-18|<tuple|2|7>>
    <associate|toc-19|<tuple|2|7>>
    <associate|toc-2|<tuple|<uninit>|3>>
    <associate|toc-20|<tuple|2|7>>
    <associate|toc-21|<tuple|2|8>>
    <associate|toc-22|<tuple|2|8>>
    <associate|toc-23|<tuple|2|8>>
    <associate|toc-24|<tuple|2|8>>
    <associate|toc-25|<tuple|2|8>>
    <associate|toc-26|<tuple|2|8>>
    <associate|toc-27|<tuple|2|9>>
    <associate|toc-28|<tuple|2|9>>
    <associate|toc-29|<tuple|2|9>>
    <associate|toc-3|<tuple|<uninit>|3>>
    <associate|toc-30|<tuple|2|10>>
    <associate|toc-31|<tuple|2|10>>
    <associate|toc-32|<tuple|2|10>>
    <associate|toc-33|<tuple|2|11>>
    <associate|toc-34|<tuple|2|12>>
    <associate|toc-35|<tuple|2|13>>
    <associate|toc-36|<tuple|2|14>>
    <associate|toc-37|<tuple|2|14>>
    <associate|toc-38|<tuple|2|14>>
    <associate|toc-39|<tuple|2|15>>
    <associate|toc-4|<tuple|<uninit>|3>>
    <associate|toc-40|<tuple|2|15>>
    <associate|toc-41|<tuple|2|15>>
    <associate|toc-42|<tuple|2|15>>
    <associate|toc-43|<tuple|2|16>>
    <associate|toc-44|<tuple|2|16>>
    <associate|toc-45|<tuple|2|16>>
    <associate|toc-46|<tuple|2|17>>
    <associate|toc-47|<tuple|2|17>>
    <associate|toc-48|<tuple|2|17>>
    <associate|toc-49|<tuple|2|17>>
    <associate|toc-5|<tuple|<uninit>|3>>
    <associate|toc-50|<tuple|2|?>>
    <associate|toc-6|<tuple|<uninit>|4>>
    <associate|toc-7|<tuple|<uninit>|4>>
    <associate|toc-8|<tuple|2|4>>
    <associate|toc-9|<tuple|2|4>>
  </collection>
</references>